# MIPS Processor: Windows CE PE2 File Format

Assembler code

```
.text:10001088
.text:10001088 loc_10001088:                            # DATA XREF: .pdata:10004028↓o
.text:10001088                 lw      $t6, 8($s0)
.text:1000108C                 beqzl   $t6, loc_100010F4
.text:10001090                 li      $v0, 1
.text:10001094                 sw      $zero, 8($s0)
.text:10001098                 jal     closesocket
.text:1000109C                 lw      $a0, 4($s0)
.text:100010A0                 lw      $a0, 0x14($s0)
.text:100010A4                 li      $t7, 0xFFFFFFFF
.text:100010A8                 sw      $t7, 4($s0)
.text:100010AC                 beqz    $a0, loc_100010CC
.text:100010B0                 sw      $zero, 8($s0)
.text:100010B4                 lw      $t8, 0x10($s0)
.text:100010B8                 move    $a1, $zero
.text:100010BC                 beql    $t8, $a0, loc_100010D0
.text:100010C0                 lw      $a0, 0x10($s0)
.text:100010C4                 jal     VirtualFree
.text:100010C8                 li      $a2, 0xC000
.text:100010CC
.text:100010CC loc_100010CC:                            # CODE XREF: sub_10001078+34↑j
.text:100010CC                 lw      $a0, 0x10($s0)
.text:100010D0
.text:100010D0 loc_100010D0:                            # CODE XREF: sub_10001078+44↑j
.text:100010D0                 move    $a1, $zero
.text:100010D4                 jal     VirtualFree
.text:100010D8                 li      $a2, 0xC000
.text:100010DC                 lw      $v0, 0x1C($s0)
.text:100010E0                 beqzl   $v0, loc_100010F4
.text:100010E4                 li      $v0, 1
.text:100010E8                 jal     ??3@YAXPAX@Z     # operator delete(void *)
.text:100010EC                 move    $a0, $v0
.text:100010F0                 li      $v0, 1
.text:100010F4
.text:100010F4 loc_100010F4:                            # CODE XREF: sub_10001078+14↑j
.text:100010F4                                          # sub_10001078+68↑j
.text:100010F4                 lw      $s0, 0x18+var_s0($sp)

```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.hex-rays.com/8.4/user-guide/disassembler/disassembly-gallery/mips-processor-windows-ce-pe2-file-format.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
